aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBruce Ashfield <bruce.ashfield@windriver.com>2014-08-25 12:24:29 -0400
committerBruce Ashfield <bruce.ashfield@windriver.com>2014-08-29 10:22:30 -0400
commit527a2d88fd63779ef26be206eefe2ae2fb31f913 (patch)
treecfe2123536741b3bd81a56cb81b627b31be1da3d
parent4d4176d8ab960f4636a497a0cf7e7c9cbe50b868 (diff)
downloadmeta-cloud-services-527a2d88fd63779ef26be206eefe2ae2fb31f913.tar.gz
meta-cloud-services-527a2d88fd63779ef26be206eefe2ae2fb31f913.tar.bz2
meta-cloud-services-527a2d88fd63779ef26be206eefe2ae2fb31f913.zip
recipes-dangling: remove all dangling bbappends
Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
-rw-r--r--meta-openstack/recipes-dangling/apache2/apache2_2.4.10.bbappend15
-rw-r--r--meta-openstack/recipes-dangling/apache2/apache2_2.4.2.bbappend5
-rw-r--r--meta-openstack/recipes-dangling/apache2/apache2_2.4.7.bbappend15
-rw-r--r--meta-openstack/recipes-dangling/apache2/apache2_2.4.9.bbappend15
-rw-r--r--meta-openstack/recipes-dangling/dnsmasq/dnsmasq_2.55.bbappend9
-rw-r--r--meta-openstack/recipes-dangling/dnsmasq/dnsmasq_2.63.bbappend9
-rw-r--r--meta-openstack/recipes-dangling/iproute2/iproute2_3.10.0.bbappend2
-rw-r--r--meta-openstack/recipes-dangling/iproute2/iproute2_3.11.0.bbappend2
-rw-r--r--meta-openstack/recipes-dangling/iproute2/iproute2_3.12.0.bbappend2
-rw-r--r--meta-openstack/recipes-dangling/iproute2/iproute2_3.2.0.bbappend2
-rw-r--r--meta-openstack/recipes-dangling/iproute2/iproute2_3.9.0.bbappend2
-rw-r--r--meta-openstack/recipes-dangling/iptables/iptables_1.4.12.2.bbappend5
-rw-r--r--meta-openstack/recipes-dangling/iptables/iptables_1.4.19.1.bbappend5
-rw-r--r--meta-openstack/recipes-dangling/libvirt/libvirt_1.0.3.bbappend4
-rw-r--r--meta-openstack/recipes-dangling/libvirt/libvirt_1.1.1.bbappend4
-rw-r--r--meta-openstack/recipes-dangling/libvirt/libvirt_1.1.2.bbappend13
-rw-r--r--meta-openstack/recipes-dangling/libvirt/libvirt_1.2.2.bbappend13
-rw-r--r--meta-openstack/recipes-dangling/lighttpd/lighttpd_1.4.30.bbappend5
-rw-r--r--meta-openstack/recipes-dangling/lighttpd/lighttpd_1.4.33.bbappend5
-rw-r--r--meta-openstack/recipes-dangling/open-iscsi/open-iscsi-user_2.0-871.bbappend37
-rw-r--r--meta-openstack/recipes-dangling/postgresql/postgresql/postgresql92
-rw-r--r--meta-openstack/recipes-dangling/postgresql/postgresql/postgresql-init43
-rw-r--r--meta-openstack/recipes-dangling/postgresql/postgresql_8.4.7.bbappend35
-rw-r--r--meta-openstack/recipes-dangling/python/python-setuptools_0.6c11.bbappend4
-rw-r--r--meta-openstack/recipes-dangling/python/python-setuptools_1.1.6.bbappend4
-rw-r--r--meta-openstack/recipes-dangling/python/python-setuptools_1.4.bbappend4
-rw-r--r--meta-openstack/recipes-dangling/qemu/qemu_1.7.0.bbappend5
27 files changed, 0 insertions, 356 deletions
diff --git a/meta-openstack/recipes-dangling/apache2/apache2_2.4.10.bbappend b/meta-openstack/recipes-dangling/apache2/apache2_2.4.10.bbappend
deleted file mode 100644
index 7aca867..0000000
--- a/meta-openstack/recipes-dangling/apache2/apache2_2.4.10.bbappend
+++ /dev/null
@@ -1,15 +0,0 @@
-INC := "${@int(PRINC) + 1}"
-
-do_install_append() {
- sed -i -e 's/#ServerName.*$/ServerName 127.0.0.1:80/' ${D}${sysconfdir}/apache2/httpd.conf
-
- # default layout for htdocsdir in 2.4.7 is different, create the following for
- # backward compatibility reasons
-
- mkdir -p ${D}${datadir}/${BPN}/default-site
- ln -sf ../htdocs ${D}${datadir}/${BPN}/default-site/htdocs
-
- sed -i '30i if [ ! -e /var/log/apache2 ]; then ln -sf /var/apache2/logs/ /var/log/apache2; fi' ${D}/etc/init.d/apache2
-}
-
-FILES_${PN} += "${datadir}/${BPN}/default-site"
diff --git a/meta-openstack/recipes-dangling/apache2/apache2_2.4.2.bbappend b/meta-openstack/recipes-dangling/apache2/apache2_2.4.2.bbappend
deleted file mode 100644
index 664de2c..0000000
--- a/meta-openstack/recipes-dangling/apache2/apache2_2.4.2.bbappend
+++ /dev/null
@@ -1,5 +0,0 @@
-INC := "${@int(PRINC) + 1}"
-
-do_install_append() {
- sed -i -e 's/#ServerName.*$/ServerName 127.0.0.1:80/' ${D}${sysconfdir}/apache2/httpd.conf
-}
diff --git a/meta-openstack/recipes-dangling/apache2/apache2_2.4.7.bbappend b/meta-openstack/recipes-dangling/apache2/apache2_2.4.7.bbappend
deleted file mode 100644
index 7aca867..0000000
--- a/meta-openstack/recipes-dangling/apache2/apache2_2.4.7.bbappend
+++ /dev/null
@@ -1,15 +0,0 @@
-INC := "${@int(PRINC) + 1}"
-
-do_install_append() {
- sed -i -e 's/#ServerName.*$/ServerName 127.0.0.1:80/' ${D}${sysconfdir}/apache2/httpd.conf
-
- # default layout for htdocsdir in 2.4.7 is different, create the following for
- # backward compatibility reasons
-
- mkdir -p ${D}${datadir}/${BPN}/default-site
- ln -sf ../htdocs ${D}${datadir}/${BPN}/default-site/htdocs
-
- sed -i '30i if [ ! -e /var/log/apache2 ]; then ln -sf /var/apache2/logs/ /var/log/apache2; fi' ${D}/etc/init.d/apache2
-}
-
-FILES_${PN} += "${datadir}/${BPN}/default-site"
diff --git a/meta-openstack/recipes-dangling/apache2/apache2_2.4.9.bbappend b/meta-openstack/recipes-dangling/apache2/apache2_2.4.9.bbappend
deleted file mode 100644
index 7aca867..0000000
--- a/meta-openstack/recipes-dangling/apache2/apache2_2.4.9.bbappend
+++ /dev/null
@@ -1,15 +0,0 @@
-INC := "${@int(PRINC) + 1}"
-
-do_install_append() {
- sed -i -e 's/#ServerName.*$/ServerName 127.0.0.1:80/' ${D}${sysconfdir}/apache2/httpd.conf
-
- # default layout for htdocsdir in 2.4.7 is different, create the following for
- # backward compatibility reasons
-
- mkdir -p ${D}${datadir}/${BPN}/default-site
- ln -sf ../htdocs ${D}${datadir}/${BPN}/default-site/htdocs
-
- sed -i '30i if [ ! -e /var/log/apache2 ]; then ln -sf /var/apache2/logs/ /var/log/apache2; fi' ${D}/etc/init.d/apache2
-}
-
-FILES_${PN} += "${datadir}/${BPN}/default-site"
diff --git a/meta-openstack/recipes-dangling/dnsmasq/dnsmasq_2.55.bbappend b/meta-openstack/recipes-dangling/dnsmasq/dnsmasq_2.55.bbappend
deleted file mode 100644
index 52eab54..0000000
--- a/meta-openstack/recipes-dangling/dnsmasq/dnsmasq_2.55.bbappend
+++ /dev/null
@@ -1,9 +0,0 @@
-do_install_append() {
- cd ${S}/contrib/wrt
- oe_runmake
-
- install -m 0755 ${S}/contrib/wrt/dhcp_release ${D}${bindir}
-
- # Remove /var/run as it is created on startup
- rm -rf ${D}${localstatedir}/run
-}
diff --git a/meta-openstack/recipes-dangling/dnsmasq/dnsmasq_2.63.bbappend b/meta-openstack/recipes-dangling/dnsmasq/dnsmasq_2.63.bbappend
deleted file mode 100644
index 52eab54..0000000
--- a/meta-openstack/recipes-dangling/dnsmasq/dnsmasq_2.63.bbappend
+++ /dev/null
@@ -1,9 +0,0 @@
-do_install_append() {
- cd ${S}/contrib/wrt
- oe_runmake
-
- install -m 0755 ${S}/contrib/wrt/dhcp_release ${D}${bindir}
-
- # Remove /var/run as it is created on startup
- rm -rf ${D}${localstatedir}/run
-}
diff --git a/meta-openstack/recipes-dangling/iproute2/iproute2_3.10.0.bbappend b/meta-openstack/recipes-dangling/iproute2/iproute2_3.10.0.bbappend
deleted file mode 100644
index 34ad5b8..0000000
--- a/meta-openstack/recipes-dangling/iproute2/iproute2_3.10.0.bbappend
+++ /dev/null
@@ -1,2 +0,0 @@
-RRECOMMENDS_${PN} += "kernel-module-veth \
- "
diff --git a/meta-openstack/recipes-dangling/iproute2/iproute2_3.11.0.bbappend b/meta-openstack/recipes-dangling/iproute2/iproute2_3.11.0.bbappend
deleted file mode 100644
index 34ad5b8..0000000
--- a/meta-openstack/recipes-dangling/iproute2/iproute2_3.11.0.bbappend
+++ /dev/null
@@ -1,2 +0,0 @@
-RRECOMMENDS_${PN} += "kernel-module-veth \
- "
diff --git a/meta-openstack/recipes-dangling/iproute2/iproute2_3.12.0.bbappend b/meta-openstack/recipes-dangling/iproute2/iproute2_3.12.0.bbappend
deleted file mode 100644
index 34ad5b8..0000000
--- a/meta-openstack/recipes-dangling/iproute2/iproute2_3.12.0.bbappend
+++ /dev/null
@@ -1,2 +0,0 @@
-RRECOMMENDS_${PN} += "kernel-module-veth \
- "
diff --git a/meta-openstack/recipes-dangling/iproute2/iproute2_3.2.0.bbappend b/meta-openstack/recipes-dangling/iproute2/iproute2_3.2.0.bbappend
deleted file mode 100644
index 34ad5b8..0000000
--- a/meta-openstack/recipes-dangling/iproute2/iproute2_3.2.0.bbappend
+++ /dev/null
@@ -1,2 +0,0 @@
-RRECOMMENDS_${PN} += "kernel-module-veth \
- "
diff --git a/meta-openstack/recipes-dangling/iproute2/iproute2_3.9.0.bbappend b/meta-openstack/recipes-dangling/iproute2/iproute2_3.9.0.bbappend
deleted file mode 100644
index 34ad5b8..0000000
--- a/meta-openstack/recipes-dangling/iproute2/iproute2_3.9.0.bbappend
+++ /dev/null
@@ -1,2 +0,0 @@
-RRECOMMENDS_${PN} += "kernel-module-veth \
- "
diff --git a/meta-openstack/recipes-dangling/iptables/iptables_1.4.12.2.bbappend b/meta-openstack/recipes-dangling/iptables/iptables_1.4.12.2.bbappend
deleted file mode 100644
index 7b4d5df..0000000
--- a/meta-openstack/recipes-dangling/iptables/iptables_1.4.12.2.bbappend
+++ /dev/null
@@ -1,5 +0,0 @@
-INC := "${@int(PRINC) + 1}"
-
-RRECOMMENDS_${PN} += "kernel-module-xt-conntrack \
- kernel-module-xt-redirect \
- "
diff --git a/meta-openstack/recipes-dangling/iptables/iptables_1.4.19.1.bbappend b/meta-openstack/recipes-dangling/iptables/iptables_1.4.19.1.bbappend
deleted file mode 100644
index 7b4d5df..0000000
--- a/meta-openstack/recipes-dangling/iptables/iptables_1.4.19.1.bbappend
+++ /dev/null
@@ -1,5 +0,0 @@
-INC := "${@int(PRINC) + 1}"
-
-RRECOMMENDS_${PN} += "kernel-module-xt-conntrack \
- kernel-module-xt-redirect \
- "
diff --git a/meta-openstack/recipes-dangling/libvirt/libvirt_1.0.3.bbappend b/meta-openstack/recipes-dangling/libvirt/libvirt_1.0.3.bbappend
deleted file mode 100644
index 3a6634e..0000000
--- a/meta-openstack/recipes-dangling/libvirt/libvirt_1.0.3.bbappend
+++ /dev/null
@@ -1,4 +0,0 @@
-PACKAGECONFIG ?= "qemu lxc test remote macvtap libvirtd udev yajl \
- python numactl sanlock ebtables \
- ${@base_contains('DISTRO_FEATURES', 'selinux', 'selinux', '', d)} \
- "
diff --git a/meta-openstack/recipes-dangling/libvirt/libvirt_1.1.1.bbappend b/meta-openstack/recipes-dangling/libvirt/libvirt_1.1.1.bbappend
deleted file mode 100644
index 3a6634e..0000000
--- a/meta-openstack/recipes-dangling/libvirt/libvirt_1.1.1.bbappend
+++ /dev/null
@@ -1,4 +0,0 @@
-PACKAGECONFIG ?= "qemu lxc test remote macvtap libvirtd udev yajl \
- python numactl sanlock ebtables \
- ${@base_contains('DISTRO_FEATURES', 'selinux', 'selinux', '', d)} \
- "
diff --git a/meta-openstack/recipes-dangling/libvirt/libvirt_1.1.2.bbappend b/meta-openstack/recipes-dangling/libvirt/libvirt_1.1.2.bbappend
deleted file mode 100644
index eb7a921..0000000
--- a/meta-openstack/recipes-dangling/libvirt/libvirt_1.1.2.bbappend
+++ /dev/null
@@ -1,13 +0,0 @@
-PACKAGECONFIG ?= "qemu lxc test remote macvtap libvirtd udev yajl \
- python numactl sanlock ebtables \
- ${@base_contains('DISTRO_FEATURES', 'selinux', 'selinux', '', d)} \
- "
-
-inherit useradd
-USERADD_PACKAGES = "${PN}"
-GROUPADD_PARAM_${PN} = "--system libvirt"
-
-do_install_append() {
- sed -e "s:^#unix_sock_group =:unix_sock_group =:g" -i ${D}/etc/libvirt/libvirtd.conf
- sed -e "s:^#unix_sock_rw_perms =:unix_sock_rw_perms =:g" -i ${D}/etc/libvirt/libvirtd.conf
-}
diff --git a/meta-openstack/recipes-dangling/libvirt/libvirt_1.2.2.bbappend b/meta-openstack/recipes-dangling/libvirt/libvirt_1.2.2.bbappend
deleted file mode 100644
index 195633b..0000000
--- a/meta-openstack/recipes-dangling/libvirt/libvirt_1.2.2.bbappend
+++ /dev/null
@@ -1,13 +0,0 @@
-PACKAGECONFIG ?= "qemu lxc test remote macvtap libvirtd udev yajl \
- python sanlock ebtables \
- ${@base_contains('DISTRO_FEATURES', 'selinux', 'selinux', '', d)} \
- "
-
-inherit useradd
-USERADD_PACKAGES = "${PN}"
-GROUPADD_PARAM_${PN} = "--system libvirt"
-
-do_install_append() {
- sed -e "s:^#unix_sock_group =:unix_sock_group =:g" -i ${D}/etc/libvirt/libvirtd.conf
- sed -e "s:^#unix_sock_rw_perms =:unix_sock_rw_perms =:g" -i ${D}/etc/libvirt/libvirtd.conf
-}
diff --git a/meta-openstack/recipes-dangling/lighttpd/lighttpd_1.4.30.bbappend b/meta-openstack/recipes-dangling/lighttpd/lighttpd_1.4.30.bbappend
deleted file mode 100644
index 50fab9f..0000000
--- a/meta-openstack/recipes-dangling/lighttpd/lighttpd_1.4.30.bbappend
+++ /dev/null
@@ -1,5 +0,0 @@
-INC := "${@int(PRINC) + 1}"
-
-do_install_append() {
- sed -i '2i port=`grep "^server.port" /etc/lighttpd.conf`; if [ -z $port ]; then echo "server port not configured, not running lighttpd..."; exit 0; fi' ${D}/etc/init.d/lighttpd
-}
diff --git a/meta-openstack/recipes-dangling/lighttpd/lighttpd_1.4.33.bbappend b/meta-openstack/recipes-dangling/lighttpd/lighttpd_1.4.33.bbappend
deleted file mode 100644
index 50fab9f..0000000
--- a/meta-openstack/recipes-dangling/lighttpd/lighttpd_1.4.33.bbappend
+++ /dev/null
@@ -1,5 +0,0 @@
-INC := "${@int(PRINC) + 1}"
-
-do_install_append() {
- sed -i '2i port=`grep "^server.port" /etc/lighttpd.conf`; if [ -z $port ]; then echo "server port not configured, not running lighttpd..."; exit 0; fi' ${D}/etc/init.d/lighttpd
-}
diff --git a/meta-openstack/recipes-dangling/open-iscsi/open-iscsi-user_2.0-871.bbappend b/meta-openstack/recipes-dangling/open-iscsi/open-iscsi-user_2.0-871.bbappend
deleted file mode 100644
index a994cb0..0000000
--- a/meta-openstack/recipes-dangling/open-iscsi/open-iscsi-user_2.0-871.bbappend
+++ /dev/null
@@ -1,37 +0,0 @@
-PRINC := "${@int(PRINC) + 1}"
-
-inherit update-rc.d
-
-do_install () {
- #oe_runmake DESTDIR="${D}" install_user
-
- install -d ${D}${sysconfdir}/iscsi/ifaces
- install -d ${D}${sysconfdir}/init.d
- install -d ${D}${base_sbindir}
-
- install -p -m 755 ${S}/usr/iscsid ${S}/usr/iscsiadm \
- ${S}/utils/iscsi-iname \
- ${S}/usr/iscsistart ${D}/${base_sbindir}
-
- install -m 755 ${S}/usr/iscsid ${D}${base_sbindir}
- install -m 755 ${S}/usr/iscsiadm ${D}${base_sbindir}
- install -m 755 ${S}/utils/iscsi-iname ${D}${base_sbindir}
- install -m 755 ${S}/utils/iscsi_discovery ${D}${base_sbindir}
-
- install -p -m 644 ${S}/etc/iscsid.conf ${D}${sysconfdir}/iscsi/
- install -p -m 644 ${S}/etc/iface.example ${D}${sysconfdir}/iscsi/ifaces/
- install -p -m 755 ${S}/etc/initd/initd.debian ${D}${sysconfdir}/init.d/open-iscsi
-}
-
-pkg_postinst_${PN} () {
- if [ "x$D" != "x" ]; then
- exit 1
- fi
- if [ ! -f /etc/iscsi/initiatorname.iscsi ]; then
- echo "InitiatorName=$(/sbin/iscsi-iname)" > \
- /etc/iscsi/initiatorname.iscsi
- fi
-}
-
-INITSCRIPT_NAME = "open-iscsi"
-INITSCRIPT_PARAMS = "start 30 1 2 3 4 5 . stop 70 0 1 2 3 4 5 6 ."
diff --git a/meta-openstack/recipes-dangling/postgresql/postgresql/postgresql b/meta-openstack/recipes-dangling/postgresql/postgresql/postgresql
deleted file mode 100644
index 5a34ec0..0000000
--- a/meta-openstack/recipes-dangling/postgresql/postgresql/postgresql
+++ /dev/null
@@ -1,92 +0,0 @@
-#!/bin/sh
-
-### BEGIN INIT INFO
-# Provides: postgresql
-# Required-Start: $local_fs $remote_fs $network $time
-# Required-Stop: $local_fs $remote_fs $network $time
-# Should-Start: $syslog
-# Should-Stop: $syslog
-# Default-Start: 2 3 4 5
-# Default-Stop: 0 1 6
-# Short-Description: PostgreSQL RDBMS server
-### END INIT INFO
-
-DAEMON=/usr/bin/postmaster
-DESC="PostgreSQL RDBMS server"
-
-datadir=`grep ^data_directory /etc/postgresql/postgresql.conf |sed -e "s#^.*= '##; s#'.*##"`
-if [ "$datadir" = "" ] ; then
- datadir=/etc/postgresql
-else
- if [ ! -e $datadir/postgresql.conf ] ; then
- if [ -e /etc/postgresql/postgresql.conf -a -e $datadir ] ; then
- ln -s /etc/postgresql/*.conf $datadir/
- fi
- fi
-fi
-
-cd /
-
-start ()
-{
- echo -n "Starting postgres server..."
- if pidof ${DAEMON} > /dev/null; then
- echo "already running."
- exit 0
- fi
- touch /var/log/postgresql.log
- chown postgres /var/log/postgresql.log
- sudo -u postgres /usr/bin/pg_ctl start -w -D $datadir -s -l /var/log/postgresql.log
- if [ $? -eq 0 ]; then
- echo "done."
- else
- echo "failed."
- fi
-}
-
-stop ()
-{
- echo -n "Stopping postgres server..."
- if ! pidof ${DAEMON} >/dev/null; then
- echo "not running."
- exit 0
- fi
- sudo -u postgres /usr/bin/pg_ctl stop -w -D $datadir -m fast -s
- if [ $? -eq 0 ]; then
- echo "done."
- else
- if [ -f /etc/postgresql/postmaster.pid -a "$datadir" != "/etc/postgresql" ] ; then
- # Special case for transition
- sudo -u postgres /usr/bin/pg_ctl stop -w -D /etc/postgresql -m fast -s
- fi
- if ! pidof ${DAEMON} > /dev/null; then
- echo "done."
- else
- echo "failed."
- exit 1
- fi
- fi
-}
-
-case "$1" in
- start)
- start
- ;;
- stop)
- stop
- ;;
- force-reload)
- stop
- start
- ;;
- restart)
- stop
- start
- ;;
- *)
- echo "Usage: $0 {start|stop|force-reload|restart}"
- exit 1
- ;;
-esac
-
-exit 0
diff --git a/meta-openstack/recipes-dangling/postgresql/postgresql/postgresql-init b/meta-openstack/recipes-dangling/postgresql/postgresql/postgresql-init
deleted file mode 100644
index c9c3807..0000000
--- a/meta-openstack/recipes-dangling/postgresql/postgresql/postgresql-init
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh
-# set -x
-
-PN=postgresql
-CONTROLLER_IP=%CONTROLLER_IP%
-COMPUTE_IP=%COMPUTE_IP%
-DB_USER=%DB_USER%
-DB_PASSWORD=%DB_PASSWORD%
-
-if [ -e /etc/${PN}/PG_VERSION ]; then
- # the database has already been initialized, return
- exit 0
-fi
-
-sudo -u postgres initdb -D /etc/${PN}/
-echo "listen_addresses = '*'" >> /etc/${PN}/postgresql.conf
-echo "host all all ${CONTROLLER_IP}/32 trust" >> /etc/${PN}/pg_hba.conf
-echo "host all all ${COMPUTE_IP}/32 trust" >> /etc/${PN}/pg_hba.conf
-/etc/init.d/postgresql start
-
-count=0
-done=0
-while [ $count -le 10 ] && [ $done -eq 0 ]; do
- sudo -u postgres psql -c "CREATE ROLE ${DB_USER} WITH SUPERUSER LOGIN PASSWORD '${DB_PASSWORD}'" 2> /dev/null
- if [ $? -ne 0 ]; then
- echo "[INFO] postgres: failed to create account for ${DB_USER}, trying again"
- /etc/init.d/postgresql stop
- sleep 3
- /etc/init.d/postgresql start
- sleep 3
- else
- echo "[INFO] postgres: created account for ${DB_USER}, continuing .. "
- done=1
- fi
- count=`expr $count + 1`
-done
-
-if [ $done -eq 0 ]; then
- echo "[ERROR] postgres: unable to create admin account"
- exit 1
-fi
-
-ln -s /usr/share/zoneinfo /usr/share/postgresql/timezone || true
diff --git a/meta-openstack/recipes-dangling/postgresql/postgresql_8.4.7.bbappend b/meta-openstack/recipes-dangling/postgresql/postgresql_8.4.7.bbappend
deleted file mode 100644
index 98e7207..0000000
--- a/meta-openstack/recipes-dangling/postgresql/postgresql_8.4.7.bbappend
+++ /dev/null
@@ -1,35 +0,0 @@
-FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"
-PRINC := "${@int(PRINC) + 1}"
-
-SRC_URI += "file://postgresql"
-
-inherit useradd update-rc.d identity
-
-do_install_append() {
- install -d ${D}${sysconfdir}/${PN}
- chown postgres ${D}${sysconfdir}/${PN}
-
- install -d ${D}${sysconfdir}/init.d/
- install -m 0755 ${WORKDIR}/postgresql ${D}${sysconfdir}/init.d/postgresql
-}
-
-USERADD_PACKAGES = "${PN}"
-GROUPADD_PARAM_${PN} = "--system postgres"
-USERADD_PARAM_${PN} = "--system --home /var/lib/postgres -g postgres \
- --no-create-home --shell /bin/false postgres"
-
-pkg_postinst_${PN} () {
- if [ "x$D" != "x" ]; then
- exit 1
- fi
-
- sudo -u postgres initdb -D /etc/${PN}/
- /etc/init.d/postgresql start
- sudo -u postgres psql -c "CREATE ROLE ${DB_USER} WITH SUPERUSER LOGIN PASSWORD '${DB_PASSWORD}'"
- ln -s /usr/share/zoneinfo /usr/share/postgresql/timezone
-}
-
-FILES_${PN} += "${localstatedir}/run/${PN}"
-
-INITSCRIPT_NAME = "${PN}"
-INITSCRIPT_PARAMS = "defaults"
diff --git a/meta-openstack/recipes-dangling/python/python-setuptools_0.6c11.bbappend b/meta-openstack/recipes-dangling/python/python-setuptools_0.6c11.bbappend
deleted file mode 100644
index 3c691d3..0000000
--- a/meta-openstack/recipes-dangling/python/python-setuptools_0.6c11.bbappend
+++ /dev/null
@@ -1,4 +0,0 @@
-# conflicting file prevention
-do_install_append() {
- rm -f ${D}${libdir}/python*/site-packages/site.py*
-} \ No newline at end of file
diff --git a/meta-openstack/recipes-dangling/python/python-setuptools_1.1.6.bbappend b/meta-openstack/recipes-dangling/python/python-setuptools_1.1.6.bbappend
deleted file mode 100644
index 3c691d3..0000000
--- a/meta-openstack/recipes-dangling/python/python-setuptools_1.1.6.bbappend
+++ /dev/null
@@ -1,4 +0,0 @@
-# conflicting file prevention
-do_install_append() {
- rm -f ${D}${libdir}/python*/site-packages/site.py*
-} \ No newline at end of file
diff --git a/meta-openstack/recipes-dangling/python/python-setuptools_1.4.bbappend b/meta-openstack/recipes-dangling/python/python-setuptools_1.4.bbappend
deleted file mode 100644
index 3c691d3..0000000
--- a/meta-openstack/recipes-dangling/python/python-setuptools_1.4.bbappend
+++ /dev/null
@@ -1,4 +0,0 @@
-# conflicting file prevention
-do_install_append() {
- rm -f ${D}${libdir}/python*/site-packages/site.py*
-} \ No newline at end of file
diff --git a/meta-openstack/recipes-dangling/qemu/qemu_1.7.0.bbappend b/meta-openstack/recipes-dangling/qemu/qemu_1.7.0.bbappend
deleted file mode 100644
index f100c28..0000000
--- a/meta-openstack/recipes-dangling/qemu/qemu_1.7.0.bbappend
+++ /dev/null
@@ -1,5 +0,0 @@
-PACKAGECONFIG[spice] = "--enable-spice,--disable-spice,spice,"
-
-PACKAGECONFIG ?= "spice virtfs attr cap-ng"
-PACKAGECONFIG_class-native = ""
-PACKAGECONFIG_class-nativesdk = "" \ No newline at end of file